osgShadow::ViewDependentShadowMap::ShadowData Struct Reference

`#include <ViewDependentShadowMap>`

Inheritance diagram for osgShadow::ViewDependentShadowMap::ShadowData:

## Public Member Functions

| ShadowData (ViewDependentData *vdd)
virtual void | releaseGLObjects (osg::State *=0) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

ViewDependentData * | _viewDependentData
unsigned int | _textureUnit
osg::ref_ptr< osg::Texture2D > | _texture
osg::ref_ptr< osg::TexGen > | _texgen
osg::ref_ptr< osg::Camera > | _camera

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ShadowData()

osgShadow::ViewDependentShadowMap::ShadowData::ShadowData | ( | ViewDependentData * | vdd | ) |

## Member Function Documentation

## releaseGLObjects()

virtual void osgShadow::ViewDependentShadowMap::ShadowData::releaseGLObjects | ( | osg::State * | = 0 | ) | const

virtual

## Member Data Documentation

## _camera

osg::ref_ptr<osg::Camera> osgShadow::ViewDependentShadowMap::ShadowData::_camera

## _texgen

osg::ref_ptr<osg::TexGen> osgShadow::ViewDependentShadowMap::ShadowData::_texgen

## _texture

osg::ref_ptr<osg::Texture2D> osgShadow::ViewDependentShadowMap::ShadowData::_texture

## _textureUnit

unsigned int osgShadow::ViewDependentShadowMap::ShadowData::_textureUnit

## _viewDependentData

ViewDependentData* osgShadow::ViewDependentShadowMap::ShadowData::_viewDependentData

The documentation for this struct was generated from the following file:

- ViewDependentShadowMap